# SYS_CNTRL
[PLATFORM]

Declaration of the System Control. More...

Collaboration diagram for SYS_CNTRL:

## Defines
#define | CLOCK_GATING_BITS
| Clock gating mask.
## Functions
void | sysctrl_init (void)
| Initialize the reference platform system controller.
## GPIO definitions
#define | LED_SLEEP CO_BIT(2)
| LED indicating the CPU is sleeping.
#define | LED_RUN CO_BIT(0)
| LED indicating the CPU is running.
#define | LED_RX CO_BIT(1)
| LED indicating a reception.
#define | GPIO_OUT(val) sysctrl_gpio_out_set(val)
| Macro to output a value on the GPIOs.
#define | LED_ON(led) sysctrl_gpio_out_set(sysctrl_gpio_out_get() | (led))
| Macro to enable LED.
#define | LED_OFF(led) sysctrl_gpio_out_set(sysctrl_gpio_out_get() & ~(led))
| Macro to disable LED.
## DIAG control definitions
These values defines the effect on the DIAGMUX
#define | DIAG_MICTOR_TEST 0
| MICTOR test.
#define | DIAG_DBG 1
| Debug diags.
#define | DIAG_TARGET0 2
| Target0 diags.
#define | DIAG_TARGET1 3
| Target1 diags.
#define | DIAG_DMA0 4
| DMA0 diags.
#define | DIAG_DMA1 5
| DMA1 diags.
#define | DIAG_JTAG 6
| JTAG diags.
#define | DIAG_TAP 7
| TAP diags.
#define | DIAG_PROC 8
| Processor diags.
#define | DIAG_PLF0 9
| PLF0 diags.
#define | DIAG_PLF1 10
| PLF1 diags.
#define | DIAG_PLF2 11
| PLF2 diags.
#define | DIAG_MAC 12
| MAC HW diags.

## Detailed Description

Declaration of the System Control.

## Define Documentation

#define CLOCK_GATING_BITS

Value:

    (SYSCTRL_MAC_PI_CLK_GATING_EN_BIT | SYSCTRL_MAC_PI_TX_CLK_GATING_EN_BIT |\
                               SYSCTRL_MAC_PI_RX_CLK_GATING_EN_BIT | SYSCTRL_MAC_CORE_CLK_GATING_EN_BIT |\
                               SYSCTRL_MAC_CRYPT_CLK_GATING_EN_BIT | SYSCTRL_MAC_CORE_TX_CLK_GATING_EN_BIT |\
                               SYSCTRL_MAC_CORE_RX_CLK_GATING_EN_BIT | SYSCTRL_MAC_WT_CLK_GATING_EN_BIT |\
                               SYSCTRL_MPIF_CLK_GATING_EN_BIT)

Clock gating mask.

Definition at line 29 of file sysctrl.c.

## Function Documentation

void sysctrl_init | ( | void |  | ) |

Initialize the reference platform system controller.